View Issue Details

IDProjectCategoryView StatusLast Update
0003815Composrcorepublic2020-03-14 22:50
ReporterChris GrahamAssigned To 
Severityfeature 
Status non-assignedResolutionopen 
Product Version 
Fixed in Version 
Summary0003815: Switch to <new format> consistently for raster images, and support equivalent format for videos (on hold)
DescriptionSee comments for discussion of formats.
For video, we should support metadata detection (width, height, length) for whatever container format becomes common.

Old text:

WebP now offers better lossless and lossy compression than PNG and JPEG.
As Microsoft have switched to Chromium, the only hold-out browser without WebP support is Safari.

Once Safari has added support, we can put ourselves all-in with WebP for any non-vector images.
Additional InformationOther formats are around which are not supported by browsers:
 - flif (Cloudinary, comparable results to webp so not likely to get much traction https://cloudinary.com/blog/flif_the_new_lossless_image_format_that_outperforms_png_webp_and_bpg)
 - jpeg XR (Microsoft, dead like due to politics)
 - jpeg XL (still under development, promising but very early days)
 - pik (Google, seems to be more of a side-project strangely)
 - bpg (like WebP but based off a better video codec)
 - avif/heif (like WebP but based off a better video codec, promising)

There is so much politics and opinion. At the end of the day we only support what browsers can, and are unlikely to do browser-specific transcoding within Composr like Cloudflare or Google Amp might. WebP would provide a decent byte saving.
TagsRoadmap: v12, Type: Performance, Type: Standards compliance
Attach Tags
Time estimation (hours)
Sponsorship open

Activities

Adam

2020-02-22 17:40

administrator   ~0006432

Last edited: 2020-02-22 18:16

View 1 revisions

Netflix have switched to using AVIF and provided a good analysis and overview of competing formats in a recent blog post @ https://netflixtechblog.com/avif-for-next-generation-image-coding-b1d75675fe4

Chris Graham

2020-02-22 18:40

administrator   ~0006433

I don't think Netflix have switched, but they are prepping for doing so when they can and pushing companies to implement AVIF. Chrome seem to be very big on AVIF as it is essentially a successor to WebP (as AV1 is a successor to their VP video codec, and AVIF is a still version of AV1). Mozilla and many other Internet companies have joined "The Alliance For Open Media", who develop AV1 and AVIF.
It's very promising. The guy who founded MPEG even has a blog post essentially saying MPEG is dead, and "The Alliance For Open Media" has won. Competing open formats such as Xiph.org have also been folded into the efforts.
I hate all the politics (looking at Netflix's blog post you can see even JPEG 2000 is very similar in performance to AVIF - as these competing post-JPEG/MPEG formats are technically similar - it's ego and market domination and patents that is the true story here), but it's very pleasing to see that finally everyone has come together and got behind a royalty free organisation.

Adam

2020-02-22 21:18

administrator   ~0006435

Last edited: 2020-02-22 21:44

View 2 revisions

I thought I'd previously read something about Netflix using AV1/AVIF files on their iOS app and I should have said partly switched if true. AV1 support has been in the major browsers for a while now so it sounded plausible that Netflix may already be using it for video and images on target devices. JPEG 2000/XL was a worthy contender but AVIF does appear to be the future format and the winner of this race given the Alliance. Betamax vs VHS, the fight continues ;)

https://netflixtechblog.com/netflix-now-streaming-av1-on-android-d5264a515202

Issue History

Date Modified Username Field Change
2019-06-10 17:13 Chris Graham New Issue
2019-06-10 17:14 Chris Graham Tag Attached: Type: Performance
2019-06-10 17:14 Chris Graham Tag Attached: Type: Standards compliance
2019-11-14 22:01 Chris Graham Tag Attached: Roadmap: v12
2020-02-22 17:40 Adam Note Added: 0006432
2020-02-22 18:16 Adam Note Edited: 0006432 View Revisions
2020-02-22 18:17 Adam Note Revision Dropped: 6432: 0002832
2020-02-22 18:40 Chris Graham Note Added: 0006433
2020-02-22 21:18 Adam Note Added: 0006435
2020-02-22 21:23 Adam Note Edited: 0006435
2020-02-22 21:24 Adam Note Edited: 0006435
2020-02-22 21:25 Adam Note Revision Dropped: 6435: 0002835
2020-02-22 21:25 Adam Note Revision Dropped: 6435: 0002836
2020-02-22 21:26 Adam Note Edited: 0006435
2020-02-22 21:27 Adam Note Edited: 0006435
2020-02-22 21:28 Adam Note Revision Dropped: 6435: 0002837
2020-02-22 21:28 Adam Note Revision Dropped: 6435: 0002838
2020-02-22 21:29 Adam Note Edited: 0006435
2020-02-22 21:29 Adam Note Revision Dropped: 6435: 0002839
2020-02-22 21:33 Adam Note Edited: 0006435
2020-02-22 21:35 Adam Note Edited: 0006435
2020-02-22 21:36 Adam Note Revision Dropped: 6435: 0002841
2020-02-22 21:38 Adam Note Edited: 0006435
2020-02-22 21:38 Adam Note Revision Dropped: 6435: 0002842
2020-02-22 21:42 Adam Note Edited: 0006435 View Revisions
2020-02-22 21:42 Adam Note Revision Dropped: 6435: 0002843
2020-02-22 21:42 Adam Note Revision Dropped: 6435: 0002840
2020-02-22 21:44 Adam Note Edited: 0006435 View Revisions
2020-03-14 22:50 Chris Graham Summary Switch to WebP consistently for raster images (on hold) => Switch to <new format> consistently for raster images, and support equivalent format for videos (on hold)
2020-03-14 22:50 Chris Graham Description Updated View Revisions